# Course Types Course Types ## Gets all of the course types in the system. - [GET /courseTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/listcoursetypes.md): This method will scan all course types and and return them to the caller. ## Creates a new course type record that does not already exist. - [POST /courseTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/createcoursetype.md): This method will auto-generate an ID and create a new course type. If an ID is specified for the course type, an error will be thrown. ## Execute Batch Operations - [POST /courseTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the course types in the system. - [GET /courseTypes/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/listcoursetypespublic.md): This method will scan all course types and and return them to the caller. ## Returns a course type from the system by its ID. - [GET /courseTypes/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/getcoursetypepublic.md): This method will look up a course type by the specified ID and return it back. ## Returns a course type from the system by its ID. - [DELETE /courseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/deletecoursetype.md): This method will delete a course type with the specified ID. ## Returns a course type from the system by its ID. - [GET /courseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/getcoursetype.md): This method will look up a course type by the specified ID and return it back. ## Partially updates a course type with the specified ID. - [PATCH /courseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/patchcoursetype.md): This method will patch an existing course type with the specified ID, using the HTTP PATCH specification. ## Updates a course type with the specified ID. - [PUT /courseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-types/updatecoursetype.md): This method will update an existing course type with the specified ID.